#!/usr/bin/env bash

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
ROOT_FILE=${SCRIPT_DIR}/file-watcher.slint
ELEMENT_FILE=${SCRIPT_DIR}/element.slint
UNRELATED_FILE=${SCRIPT_DIR}/unrelated.txt

rm ${ROOT_FILE}~
rm ${ELEMENT_FILE}~
rm ${UNRELATED_FILE}

function touch_file {
    echo "Touching $1"
    touch $1
    sleep 4
}

function backup_and_replace_file {
    echo "Backup and replace $1"
    mv $1 $1~
    cp $1~ $1
    sleep 4
}

touch_file ${ROOT_FILE}
touch_file ${ELEMENT_FILE}
touch_file ${UNRELATED_FILE}
backup_and_replace_file ${ROOT_FILE}
backup_and_replace_file ${ELEMENT_FILE}
backup_and_replace_file ${UNRELATED_FILE}
touch_file ${ROOT_FILE}
touch_file ${ELEMENT_FILE}
touch_file ${UNRELATED_FILE}

echo "Done"
